import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.adGroups.duplicate('id');
console.log(response.data);curl --request POST \
--url https://api.whop.com/api/v1/ad_groups/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 2,
"preserve_engagement": true,
"target_ad_campaign_id": "adcamp_xxxxxxxxxxxxxx"
}
'import requests
url = "https://api.whop.com/api/v1/ad_groups/{id}/duplicate"
payload = {
"count": 2,
"preserve_engagement": True,
"target_ad_campaign_id": "adcamp_xxxxxxxxxxxxxx"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": [
{
"ad_campaign": {
"id": "adcamp_xxxxxxxxxxxxxx"
},
"added_to_cart_value": 12650,
"added_to_carts": 165,
"audiences": {
"exclude": [
"adaud_xxxxxxxxxxxxxx"
],
"include": [
"adaud_xxxxxxxxxxxxxx"
]
},
"bid_type": "average_target",
"budget_amount": 60,
"budget_type": "daily",
"click_through_rate": 0.025,
"clicks": 5500,
"completed_registration_value": 1650,
"completed_registrations": 55,
"contact_value": 2640,
"contacts": 88,
"cost_per_added_to_cart": 8,
"cost_per_click": 0.24,
"cost_per_completed_registration": 24,
"cost_per_contact": 15,
"cost_per_lead": 10,
"cost_per_mille": 6,
"cost_per_purchase": 30,
"cost_per_result": 40,
"cost_per_schedule": 22,
"cost_per_submitted_application": 120,
"cost_per_unique_click": 0.4,
"cost_per_viewed_content": 1.1,
"created_at": "2026-01-01T12:00:00.000Z",
"custom_conversions": 41,
"custom_event_counts": {
"gift_card_purchased": 5,
"quote_requested": 33
},
"custom_event_values": {
"gift_card_purchased": 750,
"quote_requested": 0
},
"delivery_status": "no_ads",
"demographics": {
"automatic": false,
"gender": "all",
"maximum_age": 64,
"minimum_age": 21
},
"desired_cost_per_result": 40,
"detailed_targeting": {
"behaviors": [
{
"id": "6007101291578",
"behavior_type": "video",
"name": "Recent vehicle purchase (30 days)",
"period": 123
}
],
"demographics": [
{
"id": "6002714398172",
"type": "life_events",
"name": "Recently moved"
}
],
"interests": [
{
"id": "6003193685204",
"name": "Car wash"
}
]
},
"devices": {
"operating_systems": [
{
"os": "ios",
"minimum_version": "18.0"
}
],
"platforms": [
"mobile"
]
},
"ends_at": "2026-01-01T12:00:00.000Z",
"frequency": 123,
"frequency_cap": {
"maximum_impressions": 3,
"per_days": 7
},
"id": "adgrp_xxxxxxxxxxxxxx",
"impressions": 220000,
"issues": [
{
"id": "adiss_xxxxxxxxxxxxxx",
"message": "Your ad was rejected for unacceptable business practices. Edit the ad's content and resubmit.",
"resource_id": "ad_xxxxxxxxxxxxxx",
"resource_type": "ad"
}
],
"languages": [
"en"
],
"lead_value": 3960,
"leads": 132,
"optimization_goal": "conversions",
"placements": [
{
"platform": "facebook",
"positions": [
"feed"
]
}
],
"purchase_value": 7920,
"purchases": 44,
"reach": 0,
"regions": {
"exclude": {
"cities": [
{
"key": "2418046",
"name": "Austin"
}
],
"countries": [
"US"
],
"country_groups": [
"north_america"
],
"custom_locations": [
{
"distance_unit": "mile",
"latitude": 30.2672,
"longitude": -97.7431,
"radius": 25,
"name": "4180 Burnet Rd, Austin TX 78756"
}
],
"regions": [
"US-TX"
],
"zips": [
"78756"
]
},
"include": {
"cities": [
{
"key": "2418046",
"name": "Austin"
}
],
"countries": [
"US"
],
"country_groups": [
"north_america"
],
"custom_locations": [
{
"distance_unit": "mile",
"latitude": 30.2672,
"longitude": -97.7431,
"radius": 25,
"name": "4180 Burnet Rd, Austin TX 78756"
}
],
"regions": [
"US-TX"
],
"zips": [
"78756"
]
}
},
"result_event": "custom",
"result_event_name": "quote_requested",
"results": 33,
"return_on_ad_spend": 6,
"schedule_value": 5400,
"schedules": 60,
"spend": 1320,
"spend_currency": "usd",
"starts_at": "2026-01-01T12:00:00.000Z",
"status": "active",
"submitted_application_value": 1320,
"submitted_applications": 11,
"title": "Austin ceramic coating — repeat customers",
"unique_click_through_rate": 123,
"unique_clicks": 3300,
"updated_at": "2026-01-01T12:00:00.000Z",
"viewed_content_value": 8400,
"viewed_contents": 1200,
"conversion_event": "purchase",
"conversion_location": "website",
"dynamic_creative": false,
"message_apps": [
"instagram"
],
"minimum_daily_spend": 25
}
]
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Duplicate an Ad Group
Creates copies of the ad group in duplicating status and returns them — into its own campaign, or into target_ad_campaign_id (which must belong to the same account and be compatible with the ad group’s targeting and goals); each copy transitions to its final status (matching the source’s active/paused state) once duplication completes. Poll each returned ad group until it leaves duplicating — a copy that could not be completed is deleted and returns 404.
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.adGroups.duplicate('id');
console.log(response.data);Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Headers
A unique key that makes this request safe to retry. See Idempotent requests.
255"d9105228-4a08-46b1-8b91-42fed586d383"
Pins the request to a dated API version.
"2026-08-21"
Path Parameters
The ad group ID.
Body
Number of copies to create (1-10). Defaults to 1.
2
Whether the copied ads keep the original posts' engagement (likes, comments, shares). Defaults to false.
true
Campaign to duplicate into. Defaults to the ad group's own campaign.
"adcamp_xxxxxxxxxxxxxx"
Response
ad group duplication started
Show child attributes
Show child attributes

